%define module_name Object-Pad-SlotAttr-Trigger
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(ExtUtils/CBuilder.pm) perl(Module/Build.pm) perl(Object/Pad.pm) perl(Object/Pad/ExtensionBuilder.pm) perl(Test/More.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Sublike.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: invoke an instance method after a C<:writer> accessor
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz

%description
This module provides a third-party slot attribute for the Object::Pad manpage-based
classes, which declares that a named instance method shall be invoked after
a generated `:writer' accessor method is called.

WARNING The ability for the Object::Pad manpage to take third-party slot attributes
is still new and highly experimental, and subject to much API change in
future. As a result, this module should be considered equally experimental.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_archlib/O*
%perl_vendor_autolib/*

%changelog
* Fri Nov 19 2021 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- updated by package builder

* Wed Sep 01 2021 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

